GNU bug report logs - #10897
copy-directory create new directory when copying a symlink

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Thierry Volpiatto <thierry.volpiatto@HIDDEN>; Keywords: confirmed; dated Mon, 27 Feb 2012 08:51:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'minor' from 'normal' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 25.1. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 10 Mar 2012 06:38:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 10 01:38:14 2012
Received: from localhost ([127.0.0.1]:41659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S6FwG-0001Kt-Vj
	for submit <at> debbugs.gnu.org; Sat, 10 Mar 2012 01:38:14 -0500
Received: from mail-wi0-f174.google.com ([209.85.212.174]:55164)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1S6FwA-0001Kg-MM
	for 10897 <at> debbugs.gnu.org; Sat, 10 Mar 2012 01:37:59 -0500
Received: by wibhr17 with SMTP id hr17so1120937wib.15
	for <10897 <at> debbugs.gnu.org>; Fri, 09 Mar 2012 22:08:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=+Zxwsn+Gx8wSxe35H/iDVmViu6NzkfRYYu92Mrmpaq0=;
	b=zFKx4/wid8DY5z2+Jex1z4Ao2YfHI5/HvpNgFeUGFzckZhX7Cw0MzDtUHhRsZLVXZ6
	IJkvl3xJhIWFTJf7/yldHLfENmglILxigpZU5u4W2LHFlZtcl4zKOGEsHwbPcXPH61Tj
	67iZhJLVyAzwIJhxS1h0CLu6eoG6FoHHT07T9G052Y0/to/7BE6Zg3AGdsCx2iB37WmM
	D9aKiEG/Kl+NizH7Cp0sHqEIHr229Lg3l3+eggTKSYKsX+QwJy++Tu4QDze2LL39E41+
	VDDM7rJRO+/PafWbMTsKyufmuM217hmrSNlVgmoa7GmmeRhxc3pCbmZ2HxIFFP0IPI9/
	ZpvQ==
Received: by 10.216.136.72 with SMTP id v50mr2981571wei.73.1331359696264;
	Fri, 09 Mar 2012 22:08:16 -0800 (PST)
Received: from thierry-MM061 (lbe83-2-78-243-104-167.fbx.proxad.net.
	[78.243.104.167])
	by mx.google.com with ESMTPS id fl2sm21208624wib.4.2012.03.09.22.08.14
	(version=TLSv1/SSLv3 cipher=OTHER);
	Fri, 09 Mar 2012 22:08:15 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10897: copy-directory create new directory when copying a
	symlink
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87ipis47yj.fsf@HIDDEN> <m3zkbp1ihv.fsf@HIDDEN>
Date: Sat, 10 Mar 2012 07:08:12 +0100
In-Reply-To: <m3zkbp1ihv.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sat, 10 Mar 2012 00:07:08 +0100")
Message-ID: <87aa3pt2cz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>> I had to choose for "mail client" "nntp"(not sure) and something else I
>> don't remember.
>> I choose "mail client" and I end with something like "no method provided"
>
> Could you send a backtrace?
I think its ok now.
What I did was trying to send the bug report with the "To" and "Subject"
not completed (didn't look at headers and just C-c C-c), so smtp or
something else was complaining and asking on what to do.
But now we have fixed "To" and "Subject" at startup of report-emacs-bug,
I think we can forget that.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 9 Mar 2012 23:08:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 09 18:08:09 2012
Received: from localhost ([127.0.0.1]:41276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S68uu-0003dZ-Mk
	for submit <at> debbugs.gnu.org; Fri, 09 Mar 2012 18:08:09 -0500
Received: from smtp.getmail.no ([84.208.15.66]:55253)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1S68us-0003dS-RB
	for 10897 <at> debbugs.gnu.org; Fri, 09 Mar 2012 18:08:07 -0500
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain
Received: from get-mta-scan02.get.basefarm.net ([10.5.16.4])
	by get-mta-out01.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0M0N00M6W47W3350@HIDDEN> for
	10897 <at> debbugs.gnu.org; Sat, 10 Mar 2012 00:07:08 +0100 (MET)
Received: from get-mta-scan02.get.basefarm.net
	(localhost.localdomain [127.0.0.1])	by localhost (Email Security
	Appliance)
	with SMTP id 4E0821EA5471_F5A8D1CB	for <10897 <at> debbugs.gnu.org>; Fri,
	09 Mar 2012 23:07:08 +0000 (GMT)
Received: from smtp.getmail.no (unknown [10.5.16.4])
	by get-mta-scan02.get.basefarm.net (Sophos Email Appliance)
	with ESMTP id 3095E1EA2768_F5A8D1CF	for <10897 <at> debbugs.gnu.org>; Fri,
	09 Mar 2012 23:07:08 +0000 (GMT)
Received: from stories.gnus.org ([84.215.51.58])
	by get-mta-in02.get.basefarm.net
	(Sun Java(tm) System Messaging Server 7.0-0.04 64bit (built Jun 20
	2008))
	with ESMTP id <0M0N001EN47WQL20@HIDDEN> for
	10897 <at> debbugs.gnu.org; Sat, 10 Mar 2012 00:07:08 +0100 (MET)
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#10897: copy-directory create new directory when copying a
	symlink
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87ipis47yj.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEX41qSJLS3+wl36vmXO
	m3H9xmOlYE1wDxw0QHIBAAACX0lEQVQ4jXWTwYrjMAyGVTDutYJgX7uZpufdmRdwUuPcA73bs8a5
	jiFYr79K4ww7010RQqsvvyRbErT/MVhfL8Nwe30ZLm+3YbCD/QvYd/t+ixdrfw8uxtXVVTC44cUy
	uA03mzr23+Fr5G6687PaF9DdO3ZN3X36Btrpvn3+XdFO3TR1n+AMInhrrGsOJ5eCmbPYwUEZsKE/
	SSMxwZGwAqGCAcBwAnbmRWrawEUFdAYcmgCCEoqgN3BVWFIUoUDAiClAshWgXlLqOU+PxiEHTDVU
	tCagBdkcIkj0wo/dpoj8jW5CRj9m4MqbuSpS5OioED1zKcKyVxWSD6h0zieNOs64K66oYp9Rl+w1
	ZZ2DD1XRpNJ/IDsNQ0Q+SlWEpPrTqAkNQ9JkK+DGgUDH6YFBHvMOzpAMIMdIXJw+HZcj7cAl068F
	R0SdtB+p3XI0Mnmh+Cq1qiVMNbl3EdyccUYscyMpbqF+EIr0k689a52TAuFhB+QFdwpk4XuHmf9O
	O2jAcLOZCgtEtNQcRApSmAurXOqJcvisSokS5tXfvo1U7KPc1/bKEY46Jc6Sfi0jeeaPob4YMIJL
	sY4fM0awpu1WcC3CJZCcNK+18b2omiNHa62j1Zj0iHFTXJRi8GgiFSH5YmDbqCvyyW2SynDXBSI2
	wHvyOEc2q4SrjdwVxJOoOaLjqniuPniqVvNhW7Uz9BnAwLisU8Q2501xxgMSFkmLXPvI07B3MEdC
	WmZaDqtbjVQVl1yQdCxUeiMCmpnqJZ5zJioHykpA4Dnm309by3bf3s+ga6d1rZ9BXet/gekh/AMS
	JfPmGzKIQAAAAABJRU5ErkJggg==
X-Now-Playing: Talk Talk's _The Colour of Spring_: "Chameleon Day"
Date: Sat, 10 Mar 2012 00:07:08 +0100
In-reply-to: <87ipis47yj.fsf@HIDDEN>
Message-id: <m3zkbp1ihv.fsf@HIDDEN>
User-Agent: Gnus/5.130004 (Ma Gnus v0.4) Emacs/24.0.94 (gnu/linux)
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> I had to choose for "mail client" "nntp"(not sure) and something else I
> don't remember.
> I choose "mail client" and I end with something like "no method provided"

Could you send a backtrace?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 5 Mar 2012 13:59:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 05 08:59:59 2012
Received: from localhost ([127.0.0.1]:33866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S4YS5-0001r7-Ta
	for submit <at> debbugs.gnu.org; Mon, 05 Mar 2012 08:59:59 -0500
Received: from mail-wi0-f172.google.com ([209.85.212.172]:50561)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1S4YRb-0001qL-IX
	for 10897 <at> debbugs.gnu.org; Mon, 05 Mar 2012 08:59:38 -0500
Received: by wicr5 with SMTP id r5so1944981wic.3
	for <10897 <at> debbugs.gnu.org>; Mon, 05 Mar 2012 05:58:31 -0800 (PST)
Received-SPF: pass (google.com: domain of thierry.volpiatto@HIDDEN
	designates 10.180.83.97 as permitted sender)
	client-ip=10.180.83.97; 
Authentication-Results: mr.google.com; spf=pass (google.com: domain of
	thierry.volpiatto@HIDDEN designates 10.180.83.97 as
	permitted sender) smtp.mail=thierry.volpiatto@HIDDEN;
	dkim=pass header.i=thierry.volpiatto@HIDDEN
Received: from mr.google.com ([10.180.83.97])
	by 10.180.83.97 with SMTP id p1mr15305907wiy.19.1330955911104 (num_hops
	= 1); Mon, 05 Mar 2012 05:58:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=6xMu5h5FPZF5iOJlNwS6Eq5qm3Ryr242MQPCGSnlT0I=;
	b=aKCqrPlGCi78ELHU2XkoA/xu7DsYFM8pARm/DPplPSxl3KCFOLF2n2FqneLgqVsOZf
	Do8uESt/ivR9V3j71XAOR2T7s5fpv07WBhXNlYlgK93iSQvC2hXedbtf+2nqPv2pYFLL
	dq9702Zq2FbApfHL0KguNvh8bwHlsAqv9u9zC3vqr4pbU/Ae70kFPYj7A1wWKaifk0SS
	EtZ2hUFgJHOIDy4ZjRY8McB4h4/gb78KukK7Aqejuwv2ITp0QqNeAlWlapZVJfsE+Jey
	jEwb4g8KkZgJKiD8c5xBuXjZMswNMdwuXiZEkt6grcK3dGyKbftzvSZ3805yEGK4lEaM
	rpBA==
Received: by 10.180.83.97 with SMTP id p1mr12195018wiy.19.1330955910951;
	Mon, 05 Mar 2012 05:58:30 -0800 (PST)
Received: from thierry-MM061 (lbe83-2-78-243-104-167.fbx.proxad.net.
	[78.243.104.167])
	by mx.google.com with ESMTPS id fw5sm21098970wib.0.2012.03.05.05.58.28
	(version=TLSv1/SSLv3 cipher=OTHER);
	Mon, 05 Mar 2012 05:58:30 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
	<87aa3yghh6.fsf@HIDDEN> <m38vjhbvwg.fsf@HIDDEN>
	<87d38tbuip.fsf@HIDDEN> <m3ty25bu8z.fsf@HIDDEN>
	<87399pipd7.fsf@HIDDEN> <87d38tlhxv.fsf@HIDDEN>
	<m3sjhoz9x1.fsf@HIDDEN>
Date: Mon, 05 Mar 2012 14:58:27 +0100
In-Reply-To: <m3sjhoz9x1.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sun, 04 Mar 2012 16:02:34 +0100")
Message-ID: <87r4x75ev0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>> More exactly we need (if (not (gnus-alive-p))..., otherwise we fail with
>> error `gnus-setup-message' function not found.
>> So just need to call message-mail with args.
>
> D'oh.
>
> Thanks for the patch; applied to No Gnus (and Emacs 24 later).
Now it is in Emacs 24 and works fine, thanks.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 4 Mar 2012 15:03:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 04 10:03:46 2012
Received: from localhost ([127.0.0.1]:32855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S4CyP-00014Y-Un
	for submit <at> debbugs.gnu.org; Sun, 04 Mar 2012 10:03:46 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:40348)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1S4Cy4-00013y-6Q
	for 10897 <at> debbugs.gnu.org; Sun, 04 Mar 2012 10:03:35 -0500
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1S4CxG-0005tr-UW; Sun, 04 Mar 2012 16:02:34 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
	<87aa3yghh6.fsf@HIDDEN> <m38vjhbvwg.fsf@HIDDEN>
	<87d38tbuip.fsf@HIDDEN> <m3ty25bu8z.fsf@HIDDEN>
	<87399pipd7.fsf@HIDDEN> <87d38tlhxv.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEUOCgkUDw4RDQwQCwtJ
	RUJbfo3SAAACgklEQVQ4jUVUgbEjOwgjcQMP2wWsIQXYcAV873P/NX1pczOXZDKJZZAQsFKG/ntZ
	rZ7h06qLW0mzMUwVXz7TM2eaS8WpVRtq+OF+MSJxIFot3VrEFJmSCJhBUJAYOOLTpUixgnPzYgQU
	uXE3pZRYIBmj2iWPGhBlgKOSqA6tYfKo/fIjtFb7q5tAxR2oWrheEUTZSg4kAmbm1DGIIsofDl/8
	GqxDUa2725ejaXXGIOAXzDz/AhWCq9ZM64SbwZWH46uM96DPw+iGUJ4rbImMtJt1wMK8hAa8w1Bx
	xrVu8/6Gu0hVMq/MVasi4AO124LWiQfeyjJh6kbeg2SAZCE5OIy+QKnpZoc8BHXWv40FYD4OS08T
	SBgUbAqZ/H2MPYTcQXs6OzBblLCTJUtxeSRAe0qujjM7d5b5dnB4jBYp0crve0p8tp5LkIoFm83x
	5+57/yDm7JO+UHnQuDxn9nMOGn+QLAGwUejr2XMdVQzL55xWliSrMjvnyviPo6WdQAEA8fWD8IDX
	sA75Ts2QwfOK5GHRUJpPAPBMnmnq57bQ+sOKGbLrEPYVAWj5p+rZHWLxajARTuEf5mbDTOYnoFS1
	GxjMV2tjysj5AC+BAwywHNaW/ujPA+whfY9+FAvS2ZDNa+QgoP1uGL++O2fv9QTMF4GDRkWOrfv0
	1k/23mQJru1n2D/kxOfOV9JE9vrZFzChEE0FC4aVqdQd7lguzPpoE5zoKIZ63EjTNQN3Zr9Tlq0t
	7IflZx+/BiZks/tY3tGexbG+z5vLlEs7ipXasYPo3mz1tzjWAvEIMpHXE3Fd/aOLW8IJa1IuDAsA
	CPqA11iNYimcD4/1fQBgcP49mwb2IK7/AV4jmo5/rdssAAAAAElFTkSuQmCC
X-Now-Playing: Japan's _Oil On Canvas (2)_: "Still Life in Mobile Homes"
Date: Sun, 04 Mar 2012 16:02:34 +0100
In-Reply-To: <87d38tlhxv.fsf@HIDDEN> (Thierry Volpiatto's message of "Sat, 
	03 Mar 2012 18:20:44 +0100")
Message-ID: <m3sjhoz9x1.fsf@HIDDEN>
User-Agent: Gnus/5.130004 (Ma Gnus v0.4) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1S4CxG-0005tr-UW
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1331478155.10308@KztHsUt6vQ1GDBh2otU8Cw
X-Spam-Status: No
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> More exactly we need (if (not (gnus-alive-p))..., otherwise we fail with
> error `gnus-setup-message' function not found.
> So just need to call message-mail with args.

D'oh.

Thanks for the patch; applied to No Gnus (and Emacs 24 later).

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2012 17:22:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 12:22:09 2012
Received: from localhost ([127.0.0.1]:60220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3sej-0002g6-5m
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 12:22:09 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49752)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3seU-0002fb-DH
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 12:21:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3sdr-0005ul-LR
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 12:21:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:57762)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3sdr-0005ud-IV
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 12:21:11 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55150)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3sdm-0001Br-Vb
	for bug-gnu-emacs@HIDDEN; Sat, 03 Mar 2012 12:21:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3sdi-0005tg-8a
	for bug-gnu-emacs@HIDDEN; Sat, 03 Mar 2012 12:21:06 -0500
Received: from plane.gmane.org ([80.91.229.3]:38084)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3sdi-0005tW-1X
	for bug-gnu-emacs@HIDDEN; Sat, 03 Mar 2012 12:21:02 -0500
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3sde-0007xf-Bk
	for bug-gnu-emacs@HIDDEN; Sat, 03 Mar 2012 18:20:58 +0100
Received: from lbe83-2-78-243-104-167.fbx.proxad.net ([78.243.104.167])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Sat, 03 Mar 2012 18:20:58 +0100
Received: from thierry.volpiatto by lbe83-2-78-243-104-167.fbx.proxad.net with
	local (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Sat, 03 Mar 2012 18:20:58 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
Date: Sat, 03 Mar 2012 18:20:44 +0100
Lines: 40
Message-ID: <87d38tlhxv.fsf@HIDDEN>
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
	<87aa3yghh6.fsf@HIDDEN> <m38vjhbvwg.fsf@HIDDEN>
	<87d38tbuip.fsf@HIDDEN> <m3ty25bu8z.fsf@HIDDEN>
	<87399pipd7.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: lbe83-2-78-243-104-167.fbx.proxad.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
Cancel-Lock: sha1:iuJjoe7P1I0eW6KaW0HhrSh9270=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>>
>>> I use same configuration for Emacs-24.0.92 and 24.0.94 and behavior is
>>> different. (i.e nothing in 'to' and 'subject' for 24.0.94)
>>>
>>> Note: My Gnus configuration is not new and works fine since months (years).
>>
>> Well, I'm not able to reproduce the bug.
>>
>> So do you have anything in your setup that could clear the headers?
> Ok I found:
More exactly we need (if (not (gnus-alive-p))..., otherwise we fail with
error `gnus-setup-message' function not found.
So just need to call message-mail with args.
here a patch:

--8<---------------cut here---------------start------------->8---
diff --git a/lisp/gnus/gnus-msg.el b/lisp/gnus/gnus-msg.el
--- a/lisp/gnus/gnus-msg.el
+++ b/lisp/gnus/gnus-msg.el
@@ -486,7 +486,8 @@
 instead."
   (interactive)
   (if (not (gnus-alive-p))
-      (message-mail)
+      (message-mail to subject other-headers continue
+                    nil yank-action send-actions return-action)
     (let ((buf (current-buffer))
 	  mail-buf)
       (gnus-setup-message 'message
--8<---------------cut here---------------end--------------->8---

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 3 Mar 2012 17:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 12:09:49 2012
Received: from localhost ([127.0.0.1]:60211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3sSh-0002O5-V2
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 12:09:49 -0500
Received: from mail-we0-f172.google.com ([74.125.82.172]:49185)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1S3sSM-0002NT-FI
	for 10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 12:09:28 -0500
Received: by werb10 with SMTP id b10so1625368wer.3
	for <10897 <at> debbugs.gnu.org>; Sat, 03 Mar 2012 09:08:40 -0800 (PST)
Received-SPF: pass (google.com: domain of thierry.volpiatto@HIDDEN
	designates 10.216.132.222 as permitted sender)
	client-ip=10.216.132.222; 
Authentication-Results: mr.google.com; spf=pass (google.com: domain of
	thierry.volpiatto@HIDDEN designates 10.216.132.222 as
	permitted sender) smtp.mail=thierry.volpiatto@HIDDEN;
	dkim=pass header.i=thierry.volpiatto@HIDDEN
Received: from mr.google.com ([10.216.132.222])
	by 10.216.132.222 with SMTP id o72mr1331192wei.95.1330794520926
	(num_hops = 1); Sat, 03 Mar 2012 09:08:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=VEeEUGvrKdgipIegHh0c8Pvq7gRynDu4FuZOQX2GToU=;
	b=TdPHvvuG5AeaHfI33UCa5uFzJ3Gj+6xC+R6gMxPSBLRLTXzg2j/AWE3y+uFsU6+4Ef
	b3WHI5QDbbdGxsAP7p3Pye9ItKncgdRjYEVBACxtyQabfgCXS8yar4F/sXlhJVryx47h
	L6AOgnceC3MADaxzst6Or4VX6Km9kLwdNCYB3alC3/QzxU9mdFG/OnMG1GxL/Cw5/Bcz
	NbLax2A3kNNQkFU414No+K8CsetMbVl+PO9FU4lsywkhvGfJeNz7PujkXiMtzLAHZzXi
	oaV5WGKlAds2J2r+9alissNPp3lZY09rdsF4a3/DOchcRxzCnkjEU4iuzB6rMW81KQX8
	9KUQ==
Received: by 10.216.132.222 with SMTP id o72mr1089180wei.95.1330794520788;
	Sat, 03 Mar 2012 09:08:40 -0800 (PST)
Received: from thierry-MM061 (lbe83-2-78-243-104-167.fbx.proxad.net.
	[78.243.104.167])
	by mx.google.com with ESMTPS id dr5sm30117087wib.0.2012.03.03.09.08.38
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 03 Mar 2012 09:08:39 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
	<87aa3yghh6.fsf@HIDDEN> <m38vjhbvwg.fsf@HIDDEN>
	<87d38tbuip.fsf@HIDDEN> <m3ty25bu8z.fsf@HIDDEN>
Date: Sat, 03 Mar 2012 18:08:36 +0100
In-Reply-To: <m3ty25bu8z.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sat, 03 Mar 2012 16:05:00 +0100")
Message-ID: <87399pipd7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10897
Cc: Eli Zaretskii <eliz@HIDDEN>, 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>> I use same configuration for Emacs-24.0.92 and 24.0.94 and behavior is
>> different. (i.e nothing in 'to' and 'subject' for 24.0.94)
>>
>> Note: My Gnus configuration is not new and works fine since months (years).
>
> Well, I'm not able to reproduce the bug.
>
> So do you have anything in your setup that could clear the headers?
Ok I found:

--8<---------------cut here---------------start------------->8---
(defun gnus-msg-mail (&optional to subject other-headers continue
				switch-action yank-action send-actions return-action)
  "Start editing a mail message to be sent.
Like `message-mail', but with Gnus paraphernalia, particularly the
Gcc: header for archiving purposes.
If Gnus isn't running, a plain `message-mail' setup is used
instead."
  (interactive)
  (if (not (gnus-alive-p))
      (message-mail)


[...]
--8<---------------cut here---------------end--------------->8---

`compose-mail' is calling `gnus-msg-mail' which have changed and call
`message-mail' with no arguments unless a gnus session is alive.

Fallback to old version of `gnus-msg-mail' and all works fine.


--8<---------------cut here---------------start------------->8---
(defun gnus-msg-mail (&optional to subject other-headers continue
		      switch-action yank-action send-actions return-action)
  "Start editing a mail message to be sent.
Like `message-mail', but with Gnus paraphernalia, particularly the
Gcc: header for archiving purposes."
  (interactive)
  (let ((buf (current-buffer))
	mail-buf)
    (gnus-setup-message 'message
      (message-mail to subject other-headers continue
		    nil yank-action send-actions return-action))
    (when switch-action
      (setq mail-buf (current-buffer))
      (switch-to-buffer buf)
      (apply switch-action mail-buf nil)))
  ;; COMPOSEFUNC should return t if succeed.  Undocumented ???
  t)
--8<---------------cut here---------------end--------------->8---

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 3 Mar 2012 15:05:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 10:05:57 2012
Received: from localhost ([127.0.0.1]:60148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3qWy-00080Y-Vu
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 10:05:57 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:46675)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1S3qWm-000809-8u
	for 10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 10:05:45 -0500
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1S3qW5-0004us-5d; Sat, 03 Mar 2012 16:05:01 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
	<87aa3yghh6.fsf@HIDDEN> <m38vjhbvwg.fsf@HIDDEN>
	<87d38tbuip.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAJFBMVEUZAxLjycSJT15nLkb+
	//o6Eyn9+vKnbnbJnqH+//Lz5t3///+d6JMCAAACaUlEQVQ4jW2Uz2rbQBDGB4IfYC+x8amsCAq9
	ZQfhFwgC44sasa+wJcpNOWivailaejYG9WYoPuhsCq1ert+s4hA7GfAf5rfzzezs7BJFsyXrBhZC
	aINSKgQqS2Y2XqnlAKuGyZQiZp02oR0Ozrl7WI5fN+wVmTR0vlUHt73fjGJ/XO6qYU9GdJfD43Zy
	j+PxPs8RQqnkuh7cdnw1yA0D3bZIK/rjGwItulUK/lOCF7UdgI8F5e4MQIuCAuhz9zS+Ja4S4HrZ
	wNsk47qidnlwu3fguAMY+l+o6kxKgKTYjpd2zAU89mfFRoug79/5x7+klh+CNaUtpD6KKNOAit+R
	NXl0Xanfl6CHFLq7V8PFPnoyHkqVuiDrnsqVl8bvD2cBO0cWIbL7zXFz6tYGba/Iah8UzuTpeFr+
	79pVak4YtKDCT1dNR4XpWQQ/54wsCAo7iNzoDpiPms1zgeFkI2Jqgdmq9mqpvrNlSxFgQrtGp2E5
	b9pFba1lBFBhDfOq1sy3izlE7IyKac5nWnOidWZXXWIfmm+TG+CK05vM+JsyebbFF/f1xU8zJMnK
	0GSFzQr63P4gutJZZsngwiSclFzMyk90t7Jc+yZjQ2njw3SHWrWIn+AbjYIbgFYJkW90J4Sm1gmf
	wCBL4Qyhg5+zKQJSQ9vJWYq/wXprYw4RaWu5WgE3V0uAgOYEPP52MQH8AqJWh8sbDQEAlrTWqajX
	ySp6k0SEAEq56F6ASWstyzkrCjQSjwUDtDgeLZaA2NhEixej6do6Ya2N5qkkekHGdKKRmKhk6bX1
	9gEKVl4b5ljTKYhmkm4msrEka4v/YJnksEY1f3QAAAAASUVORK5CYII=
X-Now-Playing: Hood's _Cold House_: "They Removed All Trace That Anything Had
	Ever Happened Here"
Date: Sat, 03 Mar 2012 16:05:00 +0100
In-Reply-To: <87d38tbuip.fsf@HIDDEN> (Thierry Volpiatto's message of "Sat, 
	03 Mar 2012 15:59:10 +0100")
Message-ID: <m3ty25bu8z.fsf@HIDDEN>
User-Agent: Gnus/5.130004 (Ma Gnus v0.4) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1S3qW5-0004us-5d
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1331391901.28395@1CpJvDC8RuvR7uVwExT2Zw
X-Spam-Status: No
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10897
Cc: Eli Zaretskii <eliz@HIDDEN>, 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> I use same configuration for Emacs-24.0.92 and 24.0.94 and behavior is
> different. (i.e nothing in 'to' and 'subject' for 24.0.94)
>
> Note: My Gnus configuration is not new and works fine since months (years).

Well, I'm not able to reproduce the bug.

So do you have anything in your setup that could clear the headers?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 3 Mar 2012 15:00:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 10:00:25 2012
Received: from localhost ([127.0.0.1]:60143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3qRT-0007t5-7n
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 10:00:25 -0500
Received: from mail-wi0-f172.google.com ([209.85.212.172]:38084)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1S3qR7-0007rV-BI
	for 10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 10:00:03 -0500
Received: by wicr5 with SMTP id r5so1153089wic.3
	for <10897 <at> debbugs.gnu.org>; Sat, 03 Mar 2012 06:59:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=DS1mJIsL2rZIvRs6GXDJGN9Sbf00PnYZeAAMxUi1eJo=;
	b=NJXVU3AyTZhnd2ZqydVErNWgA/CW6M0gWnNMkboV1jQeRvXk4jNyXvy+IOKt4OyWQO
	gaUjvW8AJkRFo6PC/X6BYKhP74a8GHQufym9m0jr7pN4z+o/3w/HF/sGCNPqpLF5LUCy
	y6N6VxuJe86CU++O8s5Xq2p6Kay2x0hWuI3KrLJZxVpLxO2koxpuCAIOktYRWyDmfpjS
	KsMNXdvLazKy/BiDtow+5DjqhrypyPaMmRxXxfE206ydwDwFZ+UT7SD3fBFtiaYwA8eE
	MNYnU02B9shbwGSOm6fIAz+kyiUQ5IJU9Mf7HxYC/QwW7dLsGJOJkkMpa2HKXZPn4h6f
	4dQQ==
Received: by 10.180.19.227 with SMTP id i3mr3435646wie.17.1330786756130;
	Sat, 03 Mar 2012 06:59:16 -0800 (PST)
Received: from thierry-MM061 (lbe83-2-78-243-104-167.fbx.proxad.net.
	[78.243.104.167])
	by mx.google.com with ESMTPS id df3sm9869262wib.1.2012.03.03.06.59.13
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 03 Mar 2012 06:59:15 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
	<87aa3yghh6.fsf@HIDDEN> <m38vjhbvwg.fsf@HIDDEN>
Date: Sat, 03 Mar 2012 15:59:10 +0100
In-Reply-To: <m38vjhbvwg.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sat, 03 Mar 2012 15:29:19 +0100")
Message-ID: <87d38tbuip.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10897
Cc: Eli Zaretskii <eliz@HIDDEN>, 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>> Unless I have a Gnus session open, when I do M-x report-emacs-bug,
>> I am prompted for subject, I write subject, then RET and
>> "Subject" and "To" fields are empty, and when I do C-c C-c I have an
>> error like:
>
> I'm unable to reproduce this bug with "emacs -Q" or just "emacs".  Do
> you have some local customisations to your Message setup that wipes the
> headers?
Maybe because in Emacs -Q the 'to' and 'subject' field are completed as
expected.

I use same configuration for Emacs-24.0.92 and 24.0.94 and behavior is
different. (i.e nothing in 'to' and 'subject' for 24.0.94)

Note: My Gnus configuration is not new and works fine since months (years).

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 3 Mar 2012 14:33:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 09:33:55 2012
Received: from localhost ([127.0.0.1]:59866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3q1y-0007F5-N5
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 09:33:55 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:54911)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1S3q1n-0007Ek-AS
	for 10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 09:33:44 -0500
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1S3q16-0004QZ-Pb; Sat, 03 Mar 2012 15:33:00 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEUMBgQcFgkCAAAFAgF9
	eV8yKxQTDQaVlQXUAAACTUlEQVQ4jVWUzW7bMAzHmbjzOWxnnQfpBTSr8DlBpZ5rLMpZWha+/yPs
	T9kqWhoIbP7Cb1FkREYZCxENXn9m60IgKATPuIEAzWytdY5kIC6ktHhSvb/PdtaXQMxSRilk9a+n
	xRzhyseXQBmgcikN3A+sYIlvAKuIdDBUM9sAixQovrf4W1oDnyzAa74AXARAEAVpeX4B8E/NIhup
	yKAhDQGLgMwpprUCmAYqI1KYlw2wAhAADWGDe01DoIsptahSg/OztfMc6GfyiLGyWiAF2qpwcCkA
	KTMDavjKqGJGL+M5bGBqJqW2KuD0ByqPNzkY9bNVgUbRbnGR2oA29LgZUPwTKMH9X4fhhIVXdNxr
	hvHDk5b9rI2jx3RzXrtDT+oqQ9aMBDhnU80oKuk8NNCFp3VC5iLxA+4iEr6mDeCBvZGYAFSjdfAE
	9aSAOb0DsOEhWLecft8I+lZwPANoZwqyN4GWKcMzTJLGEJkYox1vnsasAJU1i57SCtN8/QJSByhh
	2izM9TuownuMVscnWBjgiu/dVYzdgmmcWp0mvn0JfhuLDY9WoOhKrB18CAZ+UL0pCloI7e1Y3OwO
	+0ECiNCxVDF0dMEetuE3oBMTMwTsUhuTdIARj9WQ12PZ9TrQmHlY2GDmfmHZjz2RHrjp/i91AC06
	U8aiFlmuSXQxd0+QBkTCth+kR1j3QcWT1zOMmqT4TwOjIOhx1d1X0QC4D0iD46uru+h3uw++yewF
	AMsTcEJ0x7EYupbBlWNb+XartLf+8qt9edxDXbPLsekf/wFTQelfGPtgZwAAAABJRU5ErkJggg==
X-Now-Playing: DJ Rupture's _58.46 Radio Mix_: "King Honey -
	Trinity:Instrumental"
Date: Sat, 03 Mar 2012 15:33:00 +0100
In-Reply-To: <87obseyt1r.fsf_-_@HIDDEN> (Thierry Volpiatto's message of
	"Sat, 03 Mar 2012 09:42:24 +0100")
Message-ID: <m34nu5bvqb.fsf@HIDDEN>
User-Agent: Gnus/5.130004 (Ma Gnus v0.4) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1S3q16-0004QZ-Pb
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1331389980.98825@79bk/0OteGKBp8UV+nuPVg
X-Spam-Status: No
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> It seem that `report-emacs-bug' is using the value of
> `send-mail-function' when sending bug reports even if the buffer is a
> message buffer.

Hm...  ah, I see.  It's consulting `send-mail-function' (to see whether
it really needs to worry about the From header, which it doesn't need to
when we're going to send via mailclient) even in Message buffers.  And
that's wrong.  I'll fix that...

> Why the value of `message-send-mail-function' isn't used there?

It does use `message-send-mail-function' when actually sending, though,
so I don't see what the bug could be here...

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 3 Mar 2012 14:30:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 09:30:25 2012
Received: from localhost ([127.0.0.1]:59850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3pya-0007AB-E3
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 09:30:25 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:51290)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1S3pyF-00078e-11
	for 10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 09:30:13 -0500
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1S3pxY-0004N7-KV; Sat, 03 Mar 2012 15:29:20 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
	<87aa3yghh6.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEUMBgQcFgkCAAAFAgF9
	eV8yKxQTDQaVlQXUAAACTUlEQVQ4jVWUzW7bMAzHmbjzOWxnnQfpBTSr8DlBpZ5rLMpZWha+/yPs
	T9kqWhoIbP7Cb1FkREYZCxENXn9m60IgKATPuIEAzWytdY5kIC6ktHhSvb/PdtaXQMxSRilk9a+n
	xRzhyseXQBmgcikN3A+sYIlvAKuIdDBUM9sAixQovrf4W1oDnyzAa74AXARAEAVpeX4B8E/NIhup
	yKAhDQGLgMwpprUCmAYqI1KYlw2wAhAADWGDe01DoIsptahSg/OztfMc6GfyiLGyWiAF2qpwcCkA
	KTMDavjKqGJGL+M5bGBqJqW2KuD0ByqPNzkY9bNVgUbRbnGR2oA29LgZUPwTKMH9X4fhhIVXdNxr
	hvHDk5b9rI2jx3RzXrtDT+oqQ9aMBDhnU80oKuk8NNCFp3VC5iLxA+4iEr6mDeCBvZGYAFSjdfAE
	9aSAOb0DsOEhWLecft8I+lZwPANoZwqyN4GWKcMzTJLGEJkYox1vnsasAJU1i57SCtN8/QJSByhh
	2izM9TuownuMVscnWBjgiu/dVYzdgmmcWp0mvn0JfhuLDY9WoOhKrB18CAZ+UL0pCloI7e1Y3OwO
	+0ECiNCxVDF0dMEetuE3oBMTMwTsUhuTdIARj9WQ12PZ9TrQmHlY2GDmfmHZjz2RHrjp/i91AC06
	U8aiFlmuSXQxd0+QBkTCth+kR1j3QcWT1zOMmqT4TwOjIOhx1d1X0QC4D0iD46uru+h3uw++yewF
	AMsTcEJ0x7EYupbBlWNb+XartLf+8qt9edxDXbPLsekf/wFTQelfGPtgZwAAAABJRU5ErkJggg==
X-Now-Playing: DJ Rupture's _58.46 Radio Mix_: "King Honey -
	Trinity:Instrumental"
Date: Sat, 03 Mar 2012 15:29:19 +0100
In-Reply-To: <87aa3yghh6.fsf@HIDDEN> (Thierry Volpiatto's message of "Sat, 
	03 Mar 2012 10:29:41 +0100")
Message-ID: <m38vjhbvwg.fsf@HIDDEN>
User-Agent: Gnus/5.130004 (Ma Gnus v0.4) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1S3pxY-0004N7-KV
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1331389760.75418@EB0RHQv4LV0UZvPAziYV+g
X-Spam-Status: No
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10897
Cc: Eli Zaretskii <eliz@HIDDEN>, 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> Unless I have a Gnus session open, when I do M-x report-emacs-bug,
> I am prompted for subject, I write subject, then RET and
> "Subject" and "To" fields are empty, and when I do C-c C-c I have an
> error like:

I'm unable to reproduce this bug with "emacs -Q" or just "emacs".  Do
you have some local customisations to your Message setup that wipes the
headers?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2012 10:05:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 05:05:45 2012
Received: from localhost ([127.0.0.1]:59744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3lqS-0007zx-VU
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 05:05:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48372)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3lq5-0007zP-E8
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 05:05:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3lpU-0007fz-EA
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 05:04:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:55081)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3lpU-0007fr-BH
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 05:04:44 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53653)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3lpR-0001NI-FA
	for bug-gnu-emacs@HIDDEN; Sat, 03 Mar 2012 05:04:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3lpP-0007f1-IA
	for bug-gnu-emacs@HIDDEN; Sat, 03 Mar 2012 05:04:40 -0500
Received: from plane.gmane.org ([80.91.229.3]:46476)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3lpP-0007ev-Bo
	for bug-gnu-emacs@HIDDEN; Sat, 03 Mar 2012 05:04:39 -0500
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S3lpN-0006JO-G2
	for bug-gnu-emacs@HIDDEN; Sat, 03 Mar 2012 11:04:37 +0100
Received: from lbe83-2-78-243-104-167.fbx.proxad.net ([78.243.104.167])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Sat, 03 Mar 2012 11:04:37 +0100
Received: from thierry.volpiatto by lbe83-2-78-243-104-167.fbx.proxad.net with
	local (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Sat, 03 Mar 2012 11:04:37 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
Date: Sat, 03 Mar 2012 11:04:27 +0100
Lines: 35
Message-ID: <87fwdqxaok.fsf@HIDDEN>
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
	<87aa3yghh6.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: lbe83-2-78-243-104-167.fbx.proxad.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
Cancel-Lock: sha1:yWRnjSSn72lI7vL+URWEH6ta42k=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
>>> Date: Sat, 03 Mar 2012 09:42:24 +0100
>>> Cc: 10897 <at> debbugs.gnu.org
>>> 
>>> I can't try without sending a bug-report
>>
>> Why can't you? just edit the "To" address to your own, before actually
>> sending it, and Bob's your uncle.
> Of course :-), I can also change variable value.
> But there is nothing to edit and this is not the problem.
>
> Unless I have a Gnus session open, when I do M-x report-emacs-bug,
> I am prompted for subject, I write subject, then RET and
> "Subject" and "To" fields are empty, and when I do C-c C-c I have an
> error like:
>
> Send this bug report to the Emacs maintainers? (y or n)  y
> Sending...
> message-send: No methods specified to send by
>
> When a Gnus session is open and I do M-x report-emacs-bug, it works
> normally. ("Subject" and "To" are completed.)
>
> So I think this is a bug.
I confirm it is a bug as this doesn't happen in 24.0.92, it start to bug
at beginning of 24.0.93 pretest.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 3 Mar 2012 09:30:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 04:30:45 2012
Received: from localhost ([127.0.0.1]:59737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3lIV-0007BR-2a
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 04:30:45 -0500
Received: from mail-wi0-f172.google.com ([209.85.212.172]:52839)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1S3lID-0007B0-VI
	for 10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 04:30:28 -0500
Received: by wicr5 with SMTP id r5so1059785wic.3
	for <10897 <at> debbugs.gnu.org>; Sat, 03 Mar 2012 01:29:46 -0800 (PST)
Received-SPF: pass (google.com: domain of thierry.volpiatto@HIDDEN
	designates 10.180.24.68 as permitted sender)
	client-ip=10.180.24.68; 
Authentication-Results: mr.google.com; spf=pass (google.com: domain of
	thierry.volpiatto@HIDDEN designates 10.180.24.68 as
	permitted sender) smtp.mail=thierry.volpiatto@HIDDEN;
	dkim=pass header.i=thierry.volpiatto@HIDDEN
Received: from mr.google.com ([10.180.24.68])
	by 10.180.24.68 with SMTP id s4mr2855735wif.22.1330766986176 (num_hops
	= 1); Sat, 03 Mar 2012 01:29:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=20uO7WTEkReimAoK40cfl5Nh6sUlprFgL/nMJ1ezCn0=;
	b=0vvM7dtL09FD+N4h6EQRaIxQE0sGlvAoAxWA5kWbdOhIY9+M9PQ+0fyqR48ZVHylhW
	vXC2hsp48gyDOUWAZxmRGCGT9I3kUJXLxDfKjzgoAJ9Dh+6a+Z1gMWVHbgZibNEfkdWL
	Gw7M+Z4MpuiF26XhpdqNxBHBl0cO0GFDCHCkxng2Lx5GmzjJ0qGhwqsP6/Op3ujzUxH+
	SjZAbfXTxxfQRyWJSoE0x8ba3axyAYqbsdqIJgPqvRr3SO49/8FX9iZwRSgMgw1xmwMZ
	saTZVjrK5IK826bLqMA9VPEEDEVpB97yE0Mk3vojR9yU/FSZwaiI0GS2ZODN70yVhDpO
	cNqw==
Received: by 10.180.24.68 with SMTP id s4mr2263590wif.22.1330766986079;
	Sat, 03 Mar 2012 01:29:46 -0800 (PST)
Received: from thierry-MM061 (lbe83-2-78-243-104-167.fbx.proxad.net.
	[78.243.104.167]) by mx.google.com with ESMTPS id
	hb10sm24400738wib.10.2012.03.03.01.29.43
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 03 Mar 2012 01:29:45 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN> <83aa3yax23.fsf@HIDDEN>
Date: Sat, 03 Mar 2012 10:29:41 +0100
In-Reply-To: <83aa3yax23.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 03 Mar
	2012 10:49:40 +0200")
Message-ID: <87aa3yghh6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10897
Cc: larsi@HIDDEN, 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
>> Date: Sat, 03 Mar 2012 09:42:24 +0100
>> Cc: 10897 <at> debbugs.gnu.org
>> 
>> I can't try without sending a bug-report
>
> Why can't you? just edit the "To" address to your own, before actually
> sending it, and Bob's your uncle.
Of course :-), I can also change variable value.
But there is nothing to edit and this is not the problem.

Unless I have a Gnus session open, when I do M-x report-emacs-bug,
I am prompted for subject, I write subject, then RET and
"Subject" and "To" fields are empty, and when I do C-c C-c I have an
error like:

--8<---------------cut here---------------start------------->8---
Send this bug report to the Emacs maintainers? (y or n)  y
Sending...
message-send: No methods specified to send by
--8<---------------cut here---------------end--------------->8---

When a Gnus session is open and I do M-x report-emacs-bug, it works
normally. ("Subject" and "To" are completed.)

So I think this is a bug.

 
-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 3 Mar 2012 08:50:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 03:50:29 2012
Received: from localhost ([127.0.0.1]:59714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3kfd-0006G5-8V
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 03:50:29 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:65183)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1S3kfR-0006FV-Dt
	for 10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 03:50:18 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M0A00500WGCNJ00@HIDDEN> for
	10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 10:49:41 +0200 (IST)
Received: from HOME-C4E4A596F7 ([77.126.14.88]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M0A005V4WISML30@HIDDEN>;
	Sat, 03 Mar 2012 10:49:41 +0200 (IST)
Date: Sat, 03 Mar 2012 10:49:40 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#10897: sending mail via report-emacs-bug
In-reply-to: <87obseyt1r.fsf_-_@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Message-id: <83aa3yax23.fsf@HIDDEN>
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
	<87obseyt1r.fsf_-_@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 10897
Cc: larsi@HIDDEN, 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
> Date: Sat, 03 Mar 2012 09:42:24 +0100
> Cc: 10897 <at> debbugs.gnu.org
> 
> I can't try without sending a bug-report

Why can't you? just edit the "To" address to your own, before actually
sending it, and Bob's your uncle.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 3 Mar 2012 08:43:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 03 03:43:44 2012
Received: from localhost ([127.0.0.1]:59707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S3kYx-00065q-CZ
	for submit <at> debbugs.gnu.org; Sat, 03 Mar 2012 03:43:44 -0500
Received: from mail-wi0-f172.google.com ([209.85.212.172]:39086)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1S3kYS-00064m-Ub
	for 10897 <at> debbugs.gnu.org; Sat, 03 Mar 2012 03:43:23 -0500
Received: by wicr5 with SMTP id r5so1046650wic.3
	for <10897 <at> debbugs.gnu.org>; Sat, 03 Mar 2012 00:42:29 -0800 (PST)
Received-SPF: pass (google.com: domain of thierry.volpiatto@HIDDEN
	designates 10.216.132.229 as permitted sender)
	client-ip=10.216.132.229; 
Authentication-Results: mr.google.com; spf=pass (google.com: domain of
	thierry.volpiatto@HIDDEN designates 10.216.132.229 as
	permitted sender) smtp.mail=thierry.volpiatto@HIDDEN;
	dkim=pass header.i=thierry.volpiatto@HIDDEN
Received: from mr.google.com ([10.216.132.229])
	by 10.216.132.229 with SMTP id o79mr823029wei.64.1330764149343
	(num_hops = 1); Sat, 03 Mar 2012 00:42:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=9R8+vwPNByrC35x6LNd51ovdEf/xQHrrWHUiF2kA9PE=;
	b=Bo2pa1uBDx1YLycf/RcGewlYpLms082ltBH3GoyP10jynCzpL/idn4OCB58AI8lzmh
	hWNnRogUQM6wQ2HW+BhrdgxjdGYBWMEIkFqO4mHzM7umieWmi8CECnFQtxqVEPkSC6ob
	VgkRi32jHA70hQNLTfPXL1fgY3QAhXPvU3chRKhdAHT3iJu8qubNTpSLwnNSUCbGk/O/
	zEJwBNL0/HofTAIRY3DwmajdlzuOb9hX5ZErpGLJlNvpkDHk/7p9FScKez8f2CVPlVaN
	6CKw3zde2pIYFiV0rFaf288wRC7fZracawDImhoPchPoGD5btwrQoWRUYP3rbT/d5hDB
	y7Ug==
Received: by 10.216.132.229 with SMTP id o79mr671843wei.64.1330764149248;
	Sat, 03 Mar 2012 00:42:29 -0800 (PST)
Received: from thierry-MM061 (lbe83-2-78-243-104-167.fbx.proxad.net.
	[78.243.104.167])
	by mx.google.com with ESMTPS id s4sm23910282wiy.5.2012.03.03.00.42.26
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 03 Mar 2012 00:42:28 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: sending mail via report-emacs-bug
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
Date: Sat, 03 Mar 2012 09:42:24 +0100
In-Reply-To: <m3mx845zyq.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Mon, 27 Feb 2012 11:32:13 +0100")
Message-ID: <87obseyt1r.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.94 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>>>> I am not sending this bug-report via report-emacs-bug due to its last
>>>> silly modifications.
>>>
>>> Which ones?
>> I just want to 'C-c C-c' like before, I don't want to be asked what to
>> do as I don't know what answering.
>
> `report-emacs-bugs' hasn't changed (much) with regards to sending email.
> But Emacs itself has changed wrt Email sending.
Maybe I am wrong because I can't try without sending a bug-report, so
correct me if so.
It seem that `report-emacs-bug' is using the value of
`send-mail-function' when sending bug reports even if the buffer is a
message buffer.
The new value of `send-mail-function' is `mailclient-send-it'.
Which is not what I want.
Why the value of `message-send-mail-function' isn't used there?
I set here `message-send-mail-function' to `smtpmail-send-it'.

> As you seem to be sending your email with Emacs, I'm not quite sure
> what you mean.
>
> Unless you're sending your bug reports with "emacs -Q"?

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 27 Feb 2012 15:25:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 27 10:25:33 2012
Received: from localhost ([127.0.0.1]:59941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S22S9-0000Ym-HZ
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 10:25:33 -0500
Received: from mail-wi0-f172.google.com ([209.85.212.172]:36986)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1S22S3-0000YW-TR
	for 10897 <at> debbugs.gnu.org; Mon, 27 Feb 2012 10:25:28 -0500
Received: by wicr5 with SMTP id r5so784907wic.3
	for <10897 <at> debbugs.gnu.org>; Mon, 27 Feb 2012 07:22:31 -0800 (PST)
Received-SPF: pass (google.com: domain of thierry.volpiatto@HIDDEN
	designates 10.180.101.228 as permitted sender)
	client-ip=10.180.101.228; 
Authentication-Results: mr.google.com; spf=pass (google.com: domain of
	thierry.volpiatto@HIDDEN designates 10.180.101.228 as
	permitted sender) smtp.mail=thierry.volpiatto@HIDDEN;
	dkim=pass header.i=thierry.volpiatto@HIDDEN
Received: from mr.google.com ([10.180.101.228])
	by 10.180.101.228 with SMTP id fj4mr19882754wib.4.1330356151885
	(num_hops = 1); Mon, 27 Feb 2012 07:22:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=xx88g8hVBpcooiaZXP1ZP5tUC1Pv8qeEn4ZKLtcI9I4=;
	b=UXYQbMcDLURYnnxoo1KrnOJqWQkRc5vc4ZxL8AzeNAjpENKD3mCn4ptkjvax8efS6R
	pfiGjrQqnpJ3fPxGMCpLx5Zp4bAy8KKZJwrSY1p+6FjL7uJ+QlHfJdG5Ory8ZzuTaxku
	fJ/Yi42CaCVU25nkDwPStlyD7IKYsZqIfYuCw=
Received: by 10.180.101.228 with SMTP id fj4mr15689625wib.4.1330356151778;
	Mon, 27 Feb 2012 07:22:31 -0800 (PST)
Received: from thierry-MM061 (lbe83-2-78-243-104-167.fbx.proxad.net.
	[78.243.104.167])
	by mx.google.com with ESMTPS id dw7sm22539441wib.4.2012.02.27.07.22.29
	(version=TLSv1/SSLv3 cipher=OTHER);
	Mon, 27 Feb 2012 07:22:30 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10897: copy-directory create new directory when copying a
	symlink
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN> <m3mx845zyq.fsf@HIDDEN>
Date: Mon, 27 Feb 2012 16:22:28 +0100
In-Reply-To: <m3mx845zyq.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Mon, 27 Feb 2012 11:32:13 +0100")
Message-ID: <87ipis47yj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>>>> I am not sending this bug-report via report-emacs-bug due to its last
>>>> silly modifications.
>>>
>>> Which ones?
>> I just want to 'C-c C-c' like before, I don't want to be asked what to
>> do as I don't know what answering.
>
> `report-emacs-bugs' hasn't changed (much) with regards to sending email.
> But Emacs itself has changed wrt Email sending.  As you seem to be
> sending your email with Emacs, I'm not quite sure what you mean.
I had to choose for "mail client" "nntp"(not sure) and something else I
don't remember.
I choose "mail client" and I end with something like "no method provided"

> Unless you're sending your bug reports with "emacs -Q"?
No.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 27 Feb 2012 10:35:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 27 05:35:18 2012
Received: from localhost ([127.0.0.1]:59037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S1xvK-0008RB-1g
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 05:35:18 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:38534)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1S1xvG-0008R2-TF
	for 10897 <at> debbugs.gnu.org; Mon, 27 Feb 2012 05:35:16 -0500
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1S1xsM-0001hc-Dt; Mon, 27 Feb 2012 11:32:14 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#10897: copy-directory create new directory when copying a
	symlink
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
	<87zkc4fws6.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEUMBATeqW8dDQyFRiYJ
	AgNFIxlw756WAAACWUlEQVQ4jU2U0dKjIAyFs4gPQB3v+XFzX8lw7+z4ABQm7/8qe4K2/TPTCnxy
	coxEKpHIRfxRcqzaXovsQfZM9SR/kAUuXLCK2MNCf88rjsMfp9MLIMifv8LPX/A8T/qF+AMe/oT+
	Aa2R6Hi9QfYzN+hhbaCfNyDfWzO149L6AP9PSoOhO9PxC+xL9p8NX3Aeeyh0vG37D5AmZaOv4wss
	ncJS6oZy+CHmL1fyIAJ12TbcagM8nwYCm6mj9QR05Xh6A+U8Z8kUdtEW2wWwH4J+3kVSCAob668d
	4qew9h5C65nLBcjAepLkcwshce43OAw8Dpqi2STSoncOA0+6q0oUnY6yZ2/JaZA/SK6VNhZReDTA
	j4RADpGSXs0mmhJKMt07FsGdrzFhHKfwmKqNXyicJvpZMXZcsSPzuAk1gwY5MZCag1TPWGHYTozr
	bhNVprAO2amH5hLUX9XF7UnOqnvJQsMM9ZrcXikZWCC6aaYYU2op0rRUN8C6hbyJJlVkwSNswwaO
	5GMKZZMCL9FhA81QdTTvC8C6FXUmNOpmLUNuD3Vacm/om8ZptJB1EaUlPOcyKgR91muUmDgseG/3
	+hckeJOKJkRKck65YRTZpDar6YyhcwlVTDFZsyJ5D6Iu9kiz6zgseid3hIm00iDOXcbbY1hRpa4x
	RbQIF1tHwHxLTQmPmiq31BdbxevNrmFHJ25O61TQ4FjHN0FQwIQzSQ1PVSe5YyklbwknpVEvrLW/
	gRTOzL0hORfmykOlGNmKUeRQ3G2GcHrKjt9WzLkISdF9Hd8Jewhpo26q8h9KyKVWSAThEwAAAABJ
	RU5ErkJggg==
X-Now-Playing: Colourbox's _Colourbox (MAD315CD)_: "The Official Colourbox
	World Cup Theme 12""
Date: Mon, 27 Feb 2012 11:32:13 +0100
In-Reply-To: <87zkc4fws6.fsf@HIDDEN> (Thierry Volpiatto's message of "Mon, 
	27 Feb 2012 10:30:49 +0100")
Message-ID: <m3mx845zyq.fsf@HIDDEN>
User-Agent: Gnus/5.130004 (Ma Gnus v0.4) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1S1xsM-0001hc-Dt
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1330943534.52965@lT8g8+1LMaVc1sNNh4X5Mw
X-Spam-Status: No
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

>>> I am not sending this bug-report via report-emacs-bug due to its last
>>> silly modifications.
>>
>> Which ones?
> I just want to 'C-c C-c' like before, I don't want to be asked what to
> do as I don't know what answering.

`report-emacs-bugs' hasn't changed (much) with regards to sending email.
But Emacs itself has changed wrt Email sending.  As you seem to be
sending your email with Emacs, I'm not quite sure what you mean.

Unless you're sending your bug reports with "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 27 Feb 2012 09:33:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 27 04:33:54 2012
Received: from localhost ([127.0.0.1]:58947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S1wxq-0006yS-9q
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 04:33:54 -0500
Received: from mail-wi0-f172.google.com ([209.85.212.172]:43692)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <thierry.volpiatto@HIDDEN>) id 1S1wxj-0006yG-KT
	for 10897 <at> debbugs.gnu.org; Mon, 27 Feb 2012 04:33:49 -0500
Received: by wicr5 with SMTP id r5so569194wic.3
	for <10897 <at> debbugs.gnu.org>; Mon, 27 Feb 2012 01:30:52 -0800 (PST)
Received-SPF: pass (google.com: domain of thierry.volpiatto@HIDDEN
	designates 10.180.94.68 as permitted sender)
	client-ip=10.180.94.68; 
Authentication-Results: mr.google.com; spf=pass (google.com: domain of
	thierry.volpiatto@HIDDEN designates 10.180.94.68 as
	permitted sender) smtp.mail=thierry.volpiatto@HIDDEN;
	dkim=pass header.i=thierry.volpiatto@HIDDEN
Received: from mr.google.com ([10.180.94.68])
	by 10.180.94.68 with SMTP id da4mr25931101wib.22.1330335052880
	(num_hops = 1); Mon, 27 Feb 2012 01:30:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=dkN9jIsZ/+fvf3ItrVju+w+8BMHZevfz0hU+H1OftkY=;
	b=ofRkr7ukUXD5m59R2PqLefMoCgM9hL7zy/k0PBNZuvla4Lt0ApLK/ClgQzapVyLBvQ
	CJDEc0eauWt2XbucLfOvpKIeZq+LbKlYwoc7MouXS0QkzuhbHvJRzpqlbCue+dWDiUCL
	60kDWzFVpwJ7oOiMNxJ9H97zva/fZGwaKNk8c=
Received: by 10.180.94.68 with SMTP id da4mr20562340wib.22.1330335052798;
	Mon, 27 Feb 2012 01:30:52 -0800 (PST)
Received: from thierry-MM061 (lbe83-2-78-243-104-167.fbx.proxad.net.
	[78.243.104.167])
	by mx.google.com with ESMTPS id s4sm44931814wiy.5.2012.02.27.01.30.51
	(version=TLSv1/SSLv3 cipher=OTHER);
	Mon, 27 Feb 2012 01:30:52 -0800 (PST)
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#10897: copy-directory create new directory when copying a
	symlink
References: <874nuchddl.fsf@HIDDEN> <m37gz8zlmg.fsf@HIDDEN>
Date: Mon, 27 Feb 2012 10:30:49 +0100
In-Reply-To: <m37gz8zlmg.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Mon, 27 Feb 2012 10:11:35 +0100")
Message-ID: <87zkc4fws6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:
>
>> I am not sending this bug-report via report-emacs-bug due to its last
>> silly modifications.
>
> Which ones?
I just want to 'C-c C-c' like before, I don't want to be asked what to
do as I don't know what answering.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at 10897 <at> debbugs.gnu.org:


Received: (at 10897) by debbugs.gnu.org; 27 Feb 2012 09:14:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 27 04:14:40 2012
Received: from localhost ([127.0.0.1]:58900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S1wfI-0004va-Cj
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 04:14:40 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:38320)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <larsi@HIDDEN>) id 1S1wfE-0004vO-Mh
	for 10897 <at> debbugs.gnu.org; Mon, 27 Feb 2012 04:14:38 -0500
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1S1wcK-0004fi-TK; Mon, 27 Feb 2012 10:11:36 +0100
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: Re: bug#10897: copy-directory create new directory when copying a
	symlink
References: <874nuchddl.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEXx8e2rqbJyXGbHxMiX
	lpuFfuCVAAACQUlEQVQ4jXVT62HzMAgknzyAiRigdjWAFDSAkdh/pu+w3bT9UeXhhNPxOID2Pw79
	DRhnIkpKqTWBxccXILxSqsBqalkbrik1JU5NObuvbiAKnt64WSXhbsrmXTxTgtXdMpi0NPY43EDp
	ngEM/GPKYmGfNa77SvQQgd2oPbw4uyXEFEWY5txdMlWVfb7GMZATB5DctCD4rK99DuRewiPyrwui
	TKJco6qxD4T0McpB/7ZPMdSrvG/7KxgFxLItfZ/5BKTs+wIA7ryUYnlJ+14pK5fzvgMfZXevpOEx
	XF2R4xFP89rbDFfbazszGmdioVntAMQ/8QnA71PDSL11h6hwEPkKXtBl8U6ydkv+68zaXckuceX9
	BTLEYrIVkrn1UL5fl5zFE0S8HZnVm33GJ7zRnyAMWcvljuLEFDR7wrJDM8/9C4gWLHLe5KMbvxnB
	Wa6MGi08b0Y9OYa0IhkAazo1QaPTbPVxFWFo+vrIivb1RN2WmA+706yN8wFgIbFe6a1GZYxhAJ3G
	lJXkC1hVVQJoJJMTPcc1JD61JlxMDyafDUBxdGmgJVnFGECm1TJpaDSig9Esy6AxjFPXu6mXtyQ1
	gxGDqp2ePxuLwc4I7kfXU7uLECol+Edpa0b5/U04AaTLD/wuR4q9NLV8KZtIKppIejyZUUDVGzj7
	kfxVPlDGsA0jUOn7tKQJoy0rNvgXgC1PDSGOxQUCfUOKLWN1m88YxxDxPtZ8HBWbg8EfpukNxCpP
	klyrbf4zBjKrWAcE2wvfwH8xKaxKZV01uAAAAABJRU5ErkJggg==
X-Now-Playing: Polmo Polpo's _Kiss Me Again and Again_: "Kiss Me Again and
	Again"
Date: Mon, 27 Feb 2012 10:11:35 +0100
In-Reply-To: <874nuchddl.fsf@HIDDEN> (Thierry Volpiatto's message of "Mon, 
	27 Feb 2012 09:47:02 +0100")
Message-ID: <m37gz8zlmg.fsf@HIDDEN>
User-Agent: Gnus/5.130004 (Ma Gnus v0.4) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1S1wcK-0004fi-TK
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1330938696.97308@fnSMuotJ4kc/318I7cM06w
X-Spam-Status: No
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10897
Cc: 10897 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Thierry Volpiatto <thierry.volpiatto@HIDDEN> writes:

> I am not sending this bug-report via report-emacs-bug due to its last
> silly modifications.

Which ones?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Feb 2012 08:50:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 27 03:50:28 2012
Received: from localhost ([127.0.0.1]:58867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1S1wHs-0004KM-6H
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 03:50:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43200)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S1wHp-0004KF-S6
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 03:50:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S1wF0-00064O-B8
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 03:47:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:52932)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S1wF0-00064K-84
	for submit <at> debbugs.gnu.org; Mon, 27 Feb 2012 03:47:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33171)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S1wEu-0000mi-4v
	for bug-gnu-emacs@HIDDEN; Mon, 27 Feb 2012 03:47:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S1wEl-00063O-MQ
	for bug-gnu-emacs@HIDDEN; Mon, 27 Feb 2012 03:47:23 -0500
Received: from plane.gmane.org ([80.91.229.3]:58588)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S1wEl-00063E-Fu
	for bug-gnu-emacs@HIDDEN; Mon, 27 Feb 2012 03:47:15 -0500
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1S1wEh-0004hc-4g
	for bug-gnu-emacs@HIDDEN; Mon, 27 Feb 2012 09:47:11 +0100
Received: from lbe83-2-78-243-104-167.fbx.proxad.net ([78.243.104.167])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Mon, 27 Feb 2012 09:47:11 +0100
Received: from thierry.volpiatto by lbe83-2-78-243-104-167.fbx.proxad.net with
	local (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Mon, 27 Feb 2012 09:47:11 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Thierry Volpiatto <thierry.volpiatto@HIDDEN>
Subject: copy-directory create new directory when copying a symlink
Date: Mon, 27 Feb 2012 09:47:02 +0100
Lines: 32
Message-ID: <874nuchddl.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: lbe83-2-78-243-104-167.fbx.proxad.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.93 (gnu/linux)
Cancel-Lock: sha1:7m7iFs+PH93gUTU8Id5T8eOmY24=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

Hi all,
when copying a directory symlink to another directory, the behavior of
'cp' is to create a new symlink in this directory:

--8<---------------cut here---------------start------------->8---
thierry@thierry-MM061:~ $ mkdir ~/Test
thierry@thierry-MM061:~ $ mkdir ~/tmp/Test1
thierry@thierry-MM061:~ $ ln -s ~/tmp/Test1 ~/tmp/foo
thierry@thierry-MM061:~ $ cp -r ~/tmp/foo ~/Test
thierry@thierry-MM061:~ $ ls -l ~/Test
total 0
lrwxrwxrwx   1 thierry        thierry  23 2012-02-27 09:08 foo -> /home/thierry/tmp/Test1
--8<---------------cut here---------------end--------------->8---

It is not what's copy-directory does:

--8<---------------cut here---------------start------------->8---
(copy-directory "~/tmp/foo" "~/Test" nil t)
=>
thierry@thierry-MM061:~ $ ls -l ~/Test
total 4
drwxrwxr-x   2 thierry        thierry  4096 2012-02-27 09:11 foo
--8<---------------cut here---------------end--------------->8---

NOTE:
I am not sending this bug-report via report-emacs-bug due to its last
silly modifications.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997 





Acknowledgement sent to Thierry Volpiatto <thierry.volpiatto@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10897; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 11 Aug 2016 00:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.